<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: 2: Data Object APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>2: Data Object APIs<br/>
<small>
[<a class="el" href="group__PYTIOVX__API.html">PyTIOVX APIs</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1array_1_1Array.html">tiovx.array.Array</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1array_1_1Array.html" title="Array object (OpenVX equivalent = vx_array).">Array</a> object (OpenVX equivalent = vx_array).  <a href="classtiovx_1_1array_1_1Array.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1convolution_1_1Convolution.html">tiovx.convolution.Convolution</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1convolution_1_1Convolution.html" title="Convolution object (OpenVX equivalent = vx_convolution).">Convolution</a> object (OpenVX equivalent = vx_convolution).  <a href="classtiovx_1_1convolution_1_1Convolution.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1distribution_1_1Distribution.html">tiovx.distribution.Distribution</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1distribution_1_1Distribution.html" title="Distribution object (OpenVX equivalent = vx_distribution).">Distribution</a> object (OpenVX equivalent = vx_distribution).  <a href="classtiovx_1_1distribution_1_1Distribution.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1image_1_1ImagePatchAddress.html">tiovx.image.ImagePatchAddress</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> patch object (OpenVX equivalent = vx_imagepatch_addressing_t).  <a href="classtiovx_1_1image_1_1ImagePatchAddress.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1image_1_1Image.html">tiovx.image.Image</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> object (OpenVX equivalent = vx_image, vxCreateImage).  <a href="classtiovx_1_1image_1_1Image.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1image_1_1ImageFromChannel.html">tiovx.image.ImageFromChannel</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> from channel object (OpenVX equivalent = vx_image, vxCreateImageFromChannel).  <a href="classtiovx_1_1image_1_1ImageFromChannel.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1image_1_1ImageFromHandle.html">tiovx.image.ImageFromHandle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> from handle object (OpenVX equivalent = vx_image, vxCreateImageFromHandle).  <a href="classtiovx_1_1image_1_1ImageFromHandle.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1lut_1_1Lut.html">tiovx.lut.Lut</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1lut_1_1Lut.html" title="Lut object (OpenVX equivalent = vx_lut).">Lut</a> object (OpenVX equivalent = vx_lut).  <a href="classtiovx_1_1lut_1_1Lut.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1matrix_1_1Matrix.html">tiovx.matrix.Matrix</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1matrix_1_1Matrix.html" title="Matrix object (OpenVX equivalent = vx_matrix).">Matrix</a> object (OpenVX equivalent = vx_matrix).  <a href="classtiovx_1_1matrix_1_1Matrix.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1objectarray_1_1ObjectArray.html">tiovx.objectarray.ObjectArray</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Object Array object (OpenVX equivalent = vx_object_array).  <a href="classtiovx_1_1objectarray_1_1ObjectArray.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1pyramid_1_1Pyramid.html">tiovx.pyramid.Pyramid</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1pyramid_1_1Pyramid.html" title="Pyramid object (OpenVX equivalent = vx_pyramid).">Pyramid</a> object (OpenVX equivalent = vx_pyramid).  <a href="classtiovx_1_1pyramid_1_1Pyramid.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1remap_1_1Remap.html">tiovx.remap.Remap</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1remap_1_1Remap.html" title="Remap object (OpenVX equivalent = vx_remap).">Remap</a> object (OpenVX equivalent = vx_remap).  <a href="classtiovx_1_1remap_1_1Remap.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1scalar_1_1Scalar.html">tiovx.scalar.Scalar</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1scalar_1_1Scalar.html" title="Scalar object (OpenVX equivalent = vx_scalar).">Scalar</a> object (OpenVX equivalent = vx_scalar).  <a href="classtiovx_1_1scalar_1_1Scalar.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1threshold_1_1Threshold.html">tiovx.threshold.Threshold</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classtiovx_1_1threshold_1_1Threshold.html" title="Threshold object (OpenVX equivalent = vx_threshold).">Threshold</a> object (OpenVX equivalent = vx_threshold).  <a href="classtiovx_1_1threshold_1_1Threshold.html#_details">More...</a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
